
Redmine - Defect #21470

500 Internal Server Error while entering "Settings"

2015-12-10 14:12 - Marcin Polak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Started GET "//settings" for 127.0.0.1 at 2015-12-10 13:48:33 +0100

Processing by SettingsController#index as HTML

  Current user: macboz (id=8)

  Rendered settings/_general.html.erb (14.0ms)

  Rendered settings/_display.html.erb (10.9ms)

  Rendered settings/_authentication.html.erb (14.7ms)

  Rendered settings/_api.html.erb (2.3ms)

  Rendered settings/_projects.html.erb (13.0ms)

  Rendered queries/_columns.html.erb (5.7ms)

  Rendered settings/_issues.html.erb (26.1ms)

  Rendered settings/_attachments.html.erb (8.0ms)

  Rendered settings/_notifications.html.erb (11.6ms)

  Rendered settings/_mail_handler.html.erb (7.9ms)

  Rendered settings/_repositories.html.erb (24.9ms)

  Rendered common/_tabs.html.erb (150.9ms)

  Rendered settings/edit.html.erb within layouts/admin (152.7ms)

Completed 500 Internal Server Error in 167ms (ActiveRecord: 21.1ms)

ActionView::Template::Error (The provided regular expression is using multiline anchors (^ or $), 

which may present a security risk. Did you mean to use \A and \z, or forgot to add the :multiline 

=> true option?):

    10:     <th><%= l(:text_scm_command_version) %></th>

    11:   </tr>

    12:   <% Redmine::Scm::Base.all.collect do |choice| %>

    13:     <% scm_class = "Repository::#{choice}".constantize %>

    14:     <% text, value = (choice.is_a?(Array) ? choice : [choice, choice]) %>

    15:     <% setting = :enabled_scm %>

    16:     <% enabled = Setting.send(setting).include?(value) %>

  app/views/settings/_repositories.html.erb:13:in `block (2 levels) in _app_views_settings__reposi

tories_html_erb__4037482333422736833_101433240'

  app/views/settings/_repositories.html.erb:12:in `collect'

  app/views/settings/_repositories.html.erb:12:in `block in _app_views_settings__repositories_html

_erb__4037482333422736833_101433240'

  app/views/settings/_repositories.html.erb:1:in `_app_views_settings__repositories_html_erb__4037

482333422736833_101433240'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb___2698547874882

084899_98208860'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___2698547874882084899_98

208860'

  app/helpers/application_helper.rb:324:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb__2003413501299171050_98

182100'

  app/controllers/settings_controller.rb:30:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 
Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.5

  Environment                    production
  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

  Github                         2.1.4

Redmine plugins:

  redmine_checklists             3.1.3

  redmine_scm                    0.5.0b

History

#1 - 2015-12-10 14:18 - Go MAEDA

- Status changed from New to Needs feedback

Probably the error is caused by redmine_scm plugin. Please try again after uninstalling it.

#2 - 2015-12-10 14:19 - Marcin Polak

I'll try, forgot to mention that this issue occurs just from time to time, could not find any pattern. Usually settings page works as expected.

#3 - 2015-12-11 11:39 - Marcin Polak

yup it's redmine_scm issue. Replaced it with fork: https://github.com/a-ono/redmine_scm, this fork works fine with redmine 3.x

#4 - 2015-12-12 07:46 - Go MAEDA

- Category deleted (Administration)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Marcin Pawlikowski, thanks for your feedback.

Closing this issue.
